<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{goodConsumptionBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>فروش کالا</title>



    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend="فروش کالا " style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="فروش" style="margin-bottom:20px" >
                    <p:panelGrid id="productAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >


                        <p:outputLabel value="نام سازمان:"/>
                        <p:selectOneMenu id="send" value="#{goodConsumptionBean.goodsConsumptionEntity.nameUnit}" style="width:152px">
                            <p:ajax listener="#{goodConsumptionBean.onGoodChange}" update="product" />
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{goodConsumptionBean.unitsName}"/>
                        </p:selectOneMenu>

                        <p:outputLabel value="نوع دارایی:"/>
                        <p:selectOneMenu id="product" value="#{goodConsumptionBean.goodsConsumptionEntity.barcodeGood}" style="width:152px">
                            <f:selectItem itemLabel=" انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems var="good" value="#{goodConsumptionBean.goodsEntities}" itemValue="#{good.barcode}" itemLabel="#{good.name}"/>
                        </p:selectOneMenu>


                        <p:outputLabel for="button" value="تاریخ فروش:" />
                        <p:calendar id="button" value="#{goodConsumptionBean.goodsConsumptionEntity.date}" showIcon="true" />

                    </p:panelGrid>

                    <p:spacer height="5"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت فروش" actionListener="#{goodConsumptionBean.insert}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>



                </p:fieldset>
            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
